<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon" version="1.0"> 

<xsl:import href="headers.xslt"/>
<xsl:param name="pwd"/>

<xsl:variable name="css">../CSS/style.css</xsl:variable>

<xsl:output method="html"/>

<xsl:template match="/">
  <html>
    <head>
      <link rel="stylesheet" type="text/css" href="{$css}"/>
      <title>RE reference</title>
    </head>
    <body>
      <xsl:call-template name="index-header">
	<xsl:with-param name="on">meta</xsl:with-param>
	<xsl:with-param name="id" select="$zvonItemid"/>
      </xsl:call-template>
      <table cellspacing="5">
	<xsl:apply-templates select="//character[position() mod 3 = 1]">
	  <xsl:sort select="@char"/>
	</xsl:apply-templates>
      </table>
    </body>
  </html>
</xsl:template>

<xsl:template match="character">
  <tr>
    <td><xsl:apply-templates select="." mode="print"/></td>
    <td><xsl:apply-templates select="following::character[1]" mode="print"/></td>
    <td><xsl:apply-templates select="following::character[2]" mode="print"/></td>
  </tr>

</xsl:template>

<xsl:template match="character" mode="print">
  <xsl:variable name="file">
    <xsl:call-template name="transpose">
      <xsl:with-param name="data">
	<xsl:value-of select="@char"/>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:variable>

    <a href="{$file}_frame.html" target="mainWindow" class="charindex">&#160;&#160;<xsl:value-of select="@char"/>&#160;&#160;</a>
      <xsl:if test="position() mod 3 = 0"><br/></xsl:if>
      
      <xsl:document href="{$pwd}../Output/{$file}_frame.html">
	<html>
	  <head>
	    <title>RE reference</title>
	  </head>
	  <frameset rows="200,*">
	    <frame name='description' src="{$file}.html"/>
	    <frame name='example' src="frameSource.html"/>
	  </frameset>
	</html>
      </xsl:document>


      <xsl:document href="{$pwd}../Output/{$file}.html">
	<html>
	  <head>
	    <link rel="stylesheet" type="text/css" href="{$css}"/> 
	    <title>RE reference - <xsl:value-of select="@char"/></title>
	  </head>
	  <body>
	    <xsl:call-template name="description-header"/>
	    
	    <h2 class="meta"><xsl:value-of select="@char"/></h2>
	    <xsl:value-of select="description"/>
	    <p>
	      <hr/>
	      <b>Examples: </b> 
	      <xsl:comment>AllStart</xsl:comment>
	      <xsl:comment>AllEnd</xsl:comment>
	    </p>
	  </body>
	</html>
      </xsl:document>
    </xsl:template>

</xsl:stylesheet>












